Subject: RE: [rohc] segmentation issue....

From: "Lars-Erik Jonsson (EPL)" <[email-masked]>
Date: Mon, 15 Apr 2002 10:17:04 +0200

This is captured by 5), which states that reconstructed packets can not include segments, padding or feedback.
 
/L-E

-----Original Message-----
From: Lalit Bhasin [mailto:[email-masked]]
Sent: den 15 april 2002 09:29
To: Carsten Bormann
Cc: [email-masked]
Subject: Re: [rohc] segmentation issue....

Agreed, that means the segmentation header is never preceeded by Add-CID. 
If that is the case, the section 5.2.6 ( ROHC initial decompressor processing) point 5 states that : 
  
  If the first remaining  octet starts with 1111111, this is a segment. 

Shouldn't it be like this : 

 If the first remaining octet starts with 1111111 and an Add-CID octet was not found 
in step 2), this is a segment. 
  
Lalit Bhasin 

Carsten Bormann wrote: 

Lalit Bhasin wrote: 
> hi all, 
>    As per RFC 3095 Section 5.2.5.2 SEGMENTATION PROTOCOL, the Segment 
> header doesn't carry a CID. 
> In the same section, later it is written that the CID is derived from 
> the initial octets of the reconstructed unit. These two 
> statements are contradicting each other. It is not clear that why the 
> CID should not be a part of the Segment header. 

Hi Lalit, 

the idea is that the segmentation header itself does not have a CID. 
So all the tiny segments being put together to one reconstructed unit do 
not carry a CID.  Then, the reconstructed unit is treated like a ROHC 
packet, and can carry a CID.  No contradiction.  (If you look at the 
bits on the wire, most likely the CID will be in the *segment* of the 
first packet -- not in the segmentation header, and not in any other 
packets contributing to the reconstructed unit.) 

> Information contained in this E-MAIL being proprietary to Wipro Limited 
> is 'privileged' and 'confidential' 

No.  This is a submission to an IETF mailing list, so you submit to the 
IETF rules.  (I know I'm picky today, but this has to be stressed 
occasionally.) 

Gruesse, Carsten

---

From: "Lars-Erik Jonsson (EPL)" <[email-masked]>
Date: Mon, 15 Apr 2002 10:31:15 +0200

Hi again,
 
Ignore my previous answer. You are right that this is not completely clear. Section 5.2.5.2 says that a
segment may be preceded by padding octets and/or feedback. However, it is not clear from 5.2.6 that
Add-CID is not allowed in front of a segment. Your comment below is thus correct, that is how one
should interpret the spec.
 
BR
/L-E

-----Original Message-----
From: Lars-Erik Jonsson (EPL) [mailto:[email-masked]]
Sent: den 15 april 2002 10:17
To: 'Lalit Bhasin'; Carsten Bormann
Cc: [email-masked]
Subject: RE: [rohc] segmentation issue....

/L-E

-----Original Message-----
From: Lalit Bhasin [mailto:[email-masked]]
Sent: den 15 april 2002 09:29
To: Carsten Bormann
Cc: [email-masked]
Subject: Re: [rohc] segmentation issue....

  
Lalit Bhasin 

Carsten Bormann wrote: 

Hi Lalit, 

Gruesse, Carsten